<?php
session_start();
require("../database/dbConection.php");
$idUsuarioLogado    = $_SESSION['idUsuarioLogado'];
$dataHoraImpressao  = date("d/m/Y H:i");
$idSolicitacao      = $_GET['idsol'];
$tamanhoEtiqueta    = [79, 170];
$sqlProtocolo = "SELECT reg_tb_solicitacoes.numero_procotolo, tb_paciente.nome_paciente, tb_paciente.cns_paciente, date_format(tb_paciente.datanasc,'%d/%m/%Y') AS dataNascimento, 
date_format(reg_tb_solicitacoes.datahora_cadastro,'%d/%m/%Y às %H:%i') AS dataHoraSolicitacao, reg_tb_procedimento.nome_procedimento
FROM reg_tb_solicitacoes INNER JOIN reg_tb_procedimento ON (reg_tb_solicitacoes.id_procedimento=reg_tb_procedimento.id_procedimento) INNER JOIN tb_paciente 
ON (reg_tb_solicitacoes.id_paciente=tb_paciente.id_paciente) WHERE reg_tb_solicitacoes.id_solicitacao='$idSolicitacao'";
$stmProtocolo = $rsConexao->prepare($sqlProtocolo);
$stmProtocolo->execute();
$rsProtocolo = $stmProtocolo->fetch(PDO::FETCH_OBJ);
$numeroProtocolo  = $rsProtocolo->numero_procotolo;
$nomePaciente     = mb_strtoupper($rsProtocolo->nome_paciente);
$cnsPaciente      = mb_strtoupper($rsProtocolo->cns_paciente);
$nomeProcedimento = mb_strtoupper($rsProtocolo->nome_procedimento);
$dataHoraSolicitacao  = mb_strtoupper($rsProtocolo->dataHoraSolicitacao);
$dataNascimento   = mb_strtoupper($rsProtocolo->dataNascimento);
$nomeMunicipioSede = $_SESSION['nomeMunicipioSede'];
$municipioqrcode  = mb_strtolower($nomeMunicipioSede);

# -- verificar pegar o telefone configurado para o bot -- #
$stmTelefoneBot = $rsConexao->prepare("SELECT * FROM reg_tb_configuracoes");
$stmTelefoneBot->execute();
$rsTelefoneBot  = $stmTelefoneBot->fetch(PDO::FETCH_OBJ);
$numeroTelefoneBot  = $rsTelefoneBot->numero_telefone_bot;
$telefonesLigacao   = str_replace(";", " | ", $rsTelefoneBot->numero_telefone_ligacao);
$telefonesLigacao   = str_replace(" ; ", " | ", $telefonesLigacao);
$telefonesLigacao   = str_replace("; ", " | ", $telefonesLigacao);
$telefonesLigacao   = str_replace(" ;", " | ", $telefonesLigacao);

ob_start();

/*
include_once("include/php-qrcode/vendor/autoload.php");
$urlSiteCentralMarcacao = "https://regulacaomunicipal.pmlf.ba.gov.br";
$setQRCode      = (new \chillerlan\QRCode\QRCode())->render($urlSiteCentralMarcacao);
*/

echo "<table class='tb_protocolo'>
  <tr>
    <td class='titulo_prefeitura'>
      PREFEITURA DE $nomeMunicipioSede<br>
      SECRETARIA MUNICIPAL DE SAÚDE<br>
      :: REGULAÇÃO MUNICIPAL ::
    </td>
  </tr>
</table><br>
<table class='tb_protocolo' style='margin-top:-15px'>
  <tr>
    <td class='titulo_prefeitura'>
      PROTOCOLO<br>
      <font style='font-size:15pt'>
        $numeroProtocolo
      </font>
    </td>
  </tr>
</table><br>
<table class='tb_protocolo' style='margin-top:-15px; border-collapse: collapse; border:1px solid #000'>
  <tr>
    <td class='dados_marcacao' style='border-collapse: collapse; border:1px solid #000; border-bottom:0px'>
      <font style='font-size:8.5pt; font-weight: bold;'>NOME:</font><br>
      <font style='font-size:8.5pt; font-weight: normal;'>
        $nomePaciente
      </font><br>
    </td>
  </tr>
  <tr>
    <td class='dados_marcacao' style='border-collapse: collapse; border-left:1px solid #000;border-right:1px solid #000;'>
      <table style='width:100.8%; margin-top:-10px; margin-left:-5px'>
        <tr>
          <td>
            <font style='font-size:8.5pt; font-weight: bold;'>CARTÃO SUS:</font><br>
            <font style='font-size:8.5pt; font-weight: normal;'>
              $cnsPaciente
            </font>
          </td>
          <td align='right'>
            <font style='font-size:8.5pt; font-weight: bold;'>DATA NASCIMENTO:</font><br>
            <font style='font-size:8.5pt; font-weight: normal;'>
              $dataNascimento
            </font><br>
          </td>
        </tr>      
      </table>
    </td>
  </tr>
  <tr>
    <td class='dados_marcacao' style='border-collapse: collapse; border-left:1px solid #000;border-right:1px solid #000;'>
      <font style='font-size:8.5pt; font-weight: bold;'>DATA/HORA:</font><br>
      <font style='font-size:8.5pt; font-weight: normal;'>
        $dataHoraSolicitacao
      </font><br>
    </td>
  </tr>  
  <tr>
    <td class='dados_marcacao' style='border-collapse: collapse; border-left:1px solid #000;border-right:1px solid #000;'>
      <font style='font-size:8.5pt; font-weight: bold;'>PROCEDIMENTO:</font><br>
      <font style='font-size:8.5pt; font-weight: normal;'>        
        $nomeProcedimento
      </font><br>
    </td>
  </tr>
</table>
<table class='tb_protocolo'>
  <tr>
    <td class='dados_marcacao' style='padding-top:5px; text-align:center;border-collapse: collapse; border-left:1px solid #000;border-right:1px solid #000;'>
      <font style='font-size:8pt; font-weight: normal;'>
        <b>Para acompanhar suas solicitações é necessário salvar o número do atendimento automático whatsapp na sua agenda de contatos.<br>$numeroTelefoneBot ou leia o QR Code.</b><br>
      </font>
    </td>
  </tr>
  <tr>
    <td style='text-align:center; padding-bottom:10px'>
      <img src='css/images/qrcodebot_$municipioqrcode.png' width='80px'>
      </td>
  </tr> 
  <tr>
    <td style='text-align:center; padding-bottom:10px; font-size:8pt'>
      <b>LEMBRE-SE DE INFORMAR À UNIDADE DE SAÚDE SEMPRE QUE MUDAR O NÚMERO DO SEU TELEFONE</b>
    </td>
  </tr> 
</table>";

if ($telefonesLigacao != "") {
  echo "<table class='tb_protocolo' style='background-color:#000;'>
  <tr>
    <td class='dados_marcacao' style='padding-top:5px; text-align:center;border-collapse: collapse; border-left:1px solid #000;border-right:1px solid #000;'>
      <font style='font-size:9pt; font-weight: bold; color: #fff'>
        FIQUE ATENTO(A)!<br>
        Se um desses números te ligar, é a regulação para falar do agendamento.<br>
        $telefonesLigacao
      </font>
    </td>
  </tr>
</table>";
}


require_once '../../lib_sistemas/mpdf8/vendor/autoload.php';
$mpdf = new \Mpdf\Mpdf([
  'margin_left'   => 2,
  'margin_right'  => 2,
  'margin_top'    => 10,
  'margin_header' => 2,
  'margin_bottom' => 2,
  'mode'          => 'utf-8',
  'default_font'  => 'tahoma',
  'format'        => $tamanhoEtiqueta
]);

$html = ob_get_clean();
$mpdf->mirrorMargins = 1;
$stylesheet = file_get_contents('relatorios/relatorio.css');
$mpdf->WriteHTML($stylesheet, 1);

$header = "
  <table align='center' class='tb_protocolo'>
    <tr>
		  <td class='titulo_protocolo'>
        PROTOCOLO DE SOLICITAÇÃO
      </td>
    </tr>
    </table>";

$headerE = $header;
$footer = "<div style='font-size:7pt;'>GSaúde Regulação||$dataHoraImpressao</div>";
$footerE = $footer;

$mpdf->SetHTMLHeader($header);
$mpdf->SetHTMLHeader($headerE, 'E');
$mpdf->SetFooter($footer);
$mpdf->SetFooter($footerE, 'E');
$mpdf->SetTitle('Protocolo de Solicitação');
$mpdf->WriteHTML($html);
$mpdf->Output("ProtocoloSolicitacao$numeroProtocolo.pdf", 'I');
exit;
?>